HEADERS += \
    ../camera/camera.h \
    ../camera/cameraConf.h \
    ../camera/converter.h \
    feature.h \
    defs.h \
    dictionary.h \
    graph.h \
    imageutils.h \
    image.h \
    simgraph.h \
    simmap.h \
    visapp.h \
    mapwidget.h \
    mainwindow.h \
    imagewidget.h \
    addimagesdialog.h \
    configuration.h \
    imagecomparisonwidget.h \
    point.h \
    common.h \
    imagecomparisonconfig.h \
    progressbar.h \
    astar.h \
    imagecomparisondialog.h \
    vertexinput.h \
    edgeinput.h \
    edgeinputtext.h \
    changeconfigdialog.h \
    icons.h

SOURCES += \
    ../camera/camera.cpp \
    ../camera/converter.cpp \
    addimagesdialog.cpp \
    dictionary.cpp \
    image.cpp \
    imagewidget.cpp \
    imageutils.cpp \
    simgraph.cpp \
    simmap.cpp \
    visapp.cpp \
    main.cpp \
    mainwindow.cpp \
    mapwidget.cpp \
    imagecomparisonwidget.cpp \
    imagecomparisonconfig.cpp \
    imagecomparisondialog.cpp \
    edgeinput.cpp \
    vertexinput.cpp \
    edgeinputtext.cpp \
    changeconfigdialog.cpp

INCLUDEPATH += \
    /usr/local/include \
    /usr/include/graphviz


LIBS += \
    `pkg-config --libs opencv gdk-2.0 atk` \ # opencv
    -L/usr/local/lib/siftHess/lib -lfeat \ # sift library by Rob Hess
    -lboost_filesystem \
    -lboost_thread \
    -lgvc \                         # Graphviz library
    -lhdf5


OTHER_FILES += \
    camera.conf \
    myConfiguration.conf

# Higher value for debug shows less info
DEFINES += _DEBUG=2
