#ifndef COMMON_H
#define COMMON_H

#include <limits>
#include <math.h>
#include "logdebug.h"
#include <QThread>


inline bool areSame(double a, double b, double precision=std::numeric_limits<double>::epsilon()) {
    return fabs(a-b) < precision;
}

inline int sign(double x) {
    if(x>0) 	 	return 1;
    else if(x<0) 	return -1;
    else 			return 0;
}

class Sleep : public QThread
{
public:
    static void msleep(unsigned long msecs) {
        QThread::msleep(msecs);
    }
};

#endif // COMMON_H
