#ifndef IMAGECOMPARISONDIALOG_H
#define IMAGECOMPARISONDIALOG_H

#include <QDialog>
#include <QGroupBox>
#include <QLineEdit>

//! The dialog to open two images to be compared side by side using the ImageComparisonWidget
class ImageComparisonDialog : public QDialog
{
    Q_OBJECT
public:
    ImageComparisonDialog(QWidget *parent = 0);
    QString imageFile1;
    QString imageFile2;

private slots:
    void selectFile1();
    void selectFile2();

private:

    QLineEdit* textbox1;
    QLineEdit* textbox2;

    QPushButton* compareButton;
    QPushButton* selectFile1Button;
    QPushButton* selectFile2Button;

    QString selectFile();
    void updateButtons();

    static QString openFilesPath;
};

#endif // IMAGECOMPARISONDIALOG_H
