#ifndef EDGEINPUTTEXT_H
#define EDGEINPUTTEXT_H

#include <QDialog>
#include <QtGui>
#include <vector>

using namespace std;

class EdgeInputText : public QDialog
 {
     Q_OBJECT

 public:
    //! This dialog is to select the set of edges with the IDs fall between given limits
    //! @TODO: This class is not finished yet! May contain bugs.. Need to explain the user the format of the input
    EdgeInputText(QDialog *parent = 0);

    vector<pair<int,int> > limit1() { return getLimits(input1->text()); }
    vector<pair<int,int> > limit2() { return getLimits(input2->text()); }

 private:
    QLineEdit *input1;
    QLineEdit *input2;

    //! Get a series of upper-lower limits (to select multiple regions at the same time)
    vector<pair<int,int> > getLimits(QString s);

    //! Split the input text into upper and lower limits
    pair<int,int> splitLimits(QString s);
 };

#endif // EDGEINPUTTEXT_H
